# Uses of Interface
java.rmi.activation.ActivationSystem

Packages that use ActivationSystem
Package
Description
java.rmi.activation
Provides support for RMI Object Activation.

## Uses of ActivationSystem in java.rmi.activation

Methods in java.rmi.activation that return ActivationSystem
Modifier and Type
Method
Description
`static ActivationSystem`
ActivationGroup.`getSystem()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the activation system for the VM.
`ActivationSystem`
ActivationGroupID.`getSystem()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the group's activation system.
Methods in java.rmi.activation with parameters of type ActivationSystem
Modifier and Type
Method
Description
`static void`
ActivationGroup.`setSystem​(ActivationSystem system)`
Deprecated, for removal: This API element is subject to removal in a future version.
Set the activation system for the VM.
Constructors in java.rmi.activation with parameters of type ActivationSystem
Modifier
Constructor
Description
``
`ActivationGroupID​(ActivationSystem system)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a unique group id.